Flecs: flecs::metric_builder Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
flecs::metric_builder Struct Reference
C++ API » Addons » Metrics

Event builder interface. More...

`#include <builder.hpp>`

## Public Member Functions
| metric_builder (flecs::world_t *world, flecs::entity_t entity)
metric_builder & | member (flecs::entity_t e)
metric_builder & | member (const char *name)
template<typename T >
metric_builder & | member (const char *name)
metric_builder & | dotmember (const char *name)
template<typename T >
metric_builder & | dotmember (const char *name)
metric_builder & | id (flecs::id_t the_id)
metric_builder & | id (flecs::entity_t first, flecs::entity_t second)
template<typename T >
metric_builder & | id ()
template<typename First >
metric_builder & | id (flecs::entity_t second)
template<typename Second >
metric_builder & | id_second (flecs::entity_t first)
template<typename First , typename Second >
metric_builder & | id ()
metric_builder & | targets (bool value=true)
metric_builder & | kind (flecs::entity_t the_kind)
template<typename Kind >
metric_builder & | kind ()
metric_builder & | brief (const char *b)
| operator flecs::entity ()

## Protected Attributes
flecs::world_t * | world_
ecs_metric_desc_t | desc_ = {}
bool | created_ = false

## Detailed Description

Event builder interface.

Definition at line 18 of file builder.hpp.

## Constructor & Destructor Documentation

## ◆ metric_builder()

flecs::metric_builder::metric_builder | ( | flecs::world_t * | world,
|  | flecs::entity_t | entity )
| inline

Definition at line 19 of file builder.hpp.

## ◆ ~metric_builder()

flecs::metric_builder::~metric_builder | ( |  | ) |
| inline

Definition at line 27 of file impl.hpp.

## Member Function Documentation

## ◆ brief()

metric_builder & flecs::metric_builder::brief | ( | const char * | b | ) |
| inline

Definition at line 87 of file builder.hpp.

## ◆ dotmember() [1/2]

metric_builder & flecs::metric_builder::dotmember | ( | const char * | name | ) |
| inline

Definition at line 59 of file impl.hpp.

## ◆ dotmember() [2/2]

template<typename T >

metric_builder & flecs::metric_builder::dotmember | ( | const char * | name | ) |
| inline

Definition at line 65 of file impl.hpp.

## ◆ id() [1/5]

template<typename T >

metric_builder & flecs::metric_builder::id | ( |  | ) |
| inline

Definition at line 53 of file builder.hpp.

## ◆ id() [2/5]

template<typename First , typename Second >

metric_builder & flecs::metric_builder::id | ( |  | ) |
| inline

Definition at line 68 of file builder.hpp.

## ◆ id() [3/5]

metric_builder & flecs::metric_builder::id | ( | flecs::entity_t | first,
|  | flecs::entity_t | second )
| inline

Definition at line 47 of file builder.hpp.

## ◆ id() [4/5]

template<typename First >

metric_builder & flecs::metric_builder::id | ( | flecs::entity_t | second | ) |
| inline

Definition at line 58 of file builder.hpp.

## ◆ id() [5/5]

metric_builder & flecs::metric_builder::id | ( | flecs::id_t | the_id | ) |
| inline

Definition at line 42 of file builder.hpp.

## ◆ id_second()

template<typename Second >

metric_builder & flecs::metric_builder::id_second | ( | flecs::entity_t | first | ) |
| inline

Definition at line 63 of file builder.hpp.

## ◆ kind() [1/2]

template<typename Kind >

metric_builder & flecs::metric_builder::kind | ( |  | ) |
| inline

Definition at line 83 of file builder.hpp.

## ◆ kind() [2/2]

metric_builder & flecs::metric_builder::kind | ( | flecs::entity_t | the_kind | ) |
| inline

Definition at line 77 of file builder.hpp.

## ◆ member() [1/3]

metric_builder & flecs::metric_builder::member | ( | const char * | name | ) |
| inline

Definition at line 33 of file impl.hpp.

## ◆ member() [2/3]

template<typename T >

metric_builder & flecs::metric_builder::member | ( | const char * | name | ) |
| inline

Definition at line 48 of file impl.hpp.

## ◆ member() [3/3]

metric_builder & flecs::metric_builder::member | ( | flecs::entity_t | e | ) |
| inline

Definition at line 27 of file builder.hpp.

## ◆ operator flecs::entity()

flecs::metric_builder::operator flecs::entity | ( |  | ) |
| inline

Definition at line 71 of file impl.hpp.

## ◆ targets()

metric_builder & flecs::metric_builder::targets | ( | bool | value = true | ) |
| inline

Definition at line 72 of file builder.hpp.

## Member Data Documentation

## ◆ created_

bool flecs::metric_builder::created_ = false
| protected

Definition at line 97 of file builder.hpp.

## ◆ desc_

ecs_metric_desc_t flecs::metric_builder::desc_ = {}
| protected

Definition at line 96 of file builder.hpp.

## ◆ world_

flecs::world_t* flecs::metric_builder::world_
| protected

Definition at line 95 of file builder.hpp.

The documentation for this struct was generated from the following files:

- include/flecs/addons/cpp/mixins/metrics/builder.hpp
- include/flecs/addons/cpp/mixins/metrics/impl.hpp